using System;

namespace PkmnLibSharp.Battling
{
    public class AngelscriptScript : Script
    {
        internal AngelscriptScript(IntPtr ptr) : base(ptr)
        {
            
        }
        protected override void DeletePtr()
        {
            Pkmnlib.Generated.AngelScriptResolver.Destruct(Ptr);
        }
    }
}